using System;
using System.Collections.Generic;
using System.Text;

using edu.jhu.Cas.Services;
using edu.jhu.Cas.Util;

namespace debugCL {
    class Program {
        static void Main(string[] args) {
            //UsersServiceTest();
            JobServiceTest();
        }
        static void JobServiceTest() {
        }
        const long
            DUMMYID = 1824103741,
            ADMINDUMMYID = 1665953650;
        static void UsersServiceTest() {
            Users cu = new Users();
            CJUser[] cjusers = cu.GetUsers(ADMINDUMMYID, "x", "wsid : 1824103741");
            //CJUser[] cjusers = cu.GetUsers(DUMMYID, "x", "");
            CJUser cju = cjusers[0];
            Console.WriteLine(CJUserHelper.CJUser2String(cju));


            //cju.Privileges = "not afff priv";
            //cju.Name = "new dummy";
            cju.Password = "x";
            //Console.WriteLine("UPDATE: "+cu.UpdateAccount(DUMMYID, "x", cju));
            Console.WriteLine("UPDATE: " + cu.UpdateAccount(ADMINDUMMYID, "x", cju));


            cjusers = cu.GetUsers(DUMMYID, "x", "");
            cju = cjusers[0];
            Console.WriteLine(CJUserHelper.CJUser2String(cju));
        }
    }
}
